Open Bug 1544244 Opened 6 months ago Updated 5 days ago

High frequency security/manager/ssl/tests/unit/test_toolkit_securityreporter.js | xpcshell return code: -11 when Gecko 68 merges to Beta on 2019-05-06

Categories

(Core :: Security: PSM, defect, P1)

defect

Tracking

()

ASSIGNED
Tracking Status
firefox-esr60 --- unaffected
firefox66 --- unaffected
firefox67 --- unaffected
firefox68 --- fix-optional

People

(Reporter: intermittent-bug-filer, Assigned: keeler)

References

Details

(Keywords: intermittent-failure, leave-open, regression, Whiteboard: [psm-assigned])

Attachments

(2 files)

#[markdown(off)]
Filed by: apavel [at] mozilla.com

https://treeherder.mozilla.org/logviewer.html#?job_id=240158462&repo=try

https://queue.taskcluster.net/v1/task/QnUzJi5_QeSMXY3r75YDcw/runs/0/artifacts/public/logs/live_backing.log

Central as Beta sim

[task 2019-04-13T13:59:36.780Z] 13:59:36 INFO - TEST-START | services/sync/tests/unit/test_clients_engine.js
[task 2019-04-13T13:59:42.802Z] 13:59:42 INFO - TEST-PASS | services/sync/tests/unit/test_clients_engine.js | took 6025ms
[task 2019-04-13T13:59:42.810Z] 13:59:42 INFO - Retrying tests that failed when run in parallel.
[task 2019-04-13T13:59:42.819Z] 13:59:42 INFO - TEST-START | security/manager/ssl/tests/unit/test_toolkit_securityreporter.js
[task 2019-04-13T13:59:43.122Z] 13:59:43 WARNING - TEST-UNEXPECTED-FAIL | security/manager/ssl/tests/unit/test_toolkit_securityreporter.js | xpcshell return code: -11
[task 2019-04-13T13:59:43.124Z] 13:59:43 INFO - TEST-INFO took 303ms
[task 2019-04-13T13:59:43.124Z] 13:59:43 INFO - >>>>>>>
[task 2019-04-13T13:59:43.124Z] 13:59:43 INFO - (xpcshell/head.js) | test MAIN run_test pending (1)
[task 2019-04-13T13:59:43.124Z] 13:59:43 INFO - (xpcshell/head.js) | test run_next_test 0 pending (2)
[task 2019-04-13T13:59:43.125Z] 13:59:43 INFO - (xpcshell/head.js) | test MAIN run_test finished (2)
[task 2019-04-13T13:59:43.125Z] 13:59:43 INFO - running event loop
[task 2019-04-13T13:59:43.125Z] 13:59:43 INFO - "CONSOLE_MESSAGE: (info) No chrome package registered for chrome://branding/locale/brand.properties"
[task 2019-04-13T13:59:43.125Z] 13:59:43 INFO - security/manager/ssl/tests/unit/test_toolkit_securityreporter.js | Starting
[task 2019-04-13T13:59:43.125Z] 13:59:43 INFO - (xpcshell/head.js) | test pending (2)
[task 2019-04-13T13:59:43.125Z] 13:59:43 INFO - TEST-PASS | security/manager/ssl/tests/unit/test_toolkit_securityreporter.js | - Binary util BadCertServer should exist - true == true
[task 2019-04-13T13:59:43.127Z] 13:59:43 INFO - TEST-PASS | security/manager/ssl/tests/unit/test_toolkit_securityreporter.js | - certificate folder (bad_certs) should exist - true == true
[task 2019-04-13T13:59:43.127Z] 13:59:43 INFO - (xpcshell/head.js) | test run_next_test 0 finished (2)
[task 2019-04-13T13:59:43.127Z] 13:59:43 INFO - PID 13031 | sending 'GET / HTTP/1.0
[task 2019-04-13T13:59:43.128Z] 13:59:43 INFO - PID 13031 | '
[task 2019-04-13T13:59:43.130Z] 13:59:43 INFO - (xpcshell/head.js) | test pending (2)
[task 2019-04-13T13:59:43.130Z] 13:59:43 INFO - (xpcshell/head.js) | test finished (2)
[task 2019-04-13T13:59:43.130Z] 13:59:43 INFO - PID 13031 | HTTP/1.0 200 OK
[task 2019-04-13T13:59:43.131Z] 13:59:43 INFO - PID 13031 | content-type: text/plain
[task 2019-04-13T13:59:43.132Z] 13:59:43 INFO - PID 13031 | connection: close
[task 2019-04-13T13:59:43.133Z] 13:59:43 INFO - PID 13031 | server: httpd.js
[task 2019-04-13T13:59:43.134Z] 13:59:43 INFO - PID 13031 | date: Sat, 13 Apr 2019 13:59:42 GMT
[task 2019-04-13T13:59:43.135Z] 13:59:43 INFO - PID 13031 | content-length: 3
[task 2019-04-13T13:59:43.136Z] 13:59:43 INFO - (xpcshell/head.js) | test run_next_test 1 pending (2)
[task 2019-04-13T13:59:43.137Z] 13:59:43 INFO - (xpcshell/head.js) | test finished (2)
[task 2019-04-13T13:59:43.138Z] 13:59:43 INFO - security/manager/ssl/tests/unit/test_toolkit_securityreporter.js | Starting
[task 2019-04-13T13:59:43.139Z] 13:59:43 INFO - (xpcshell/head.js) | test pending (2)
[task 2019-04-13T13:59:43.139Z] 13:59:43 INFO - (xpcshell/head.js) | test run_next_test 1 finished (2)
[task 2019-04-13T13:59:43.140Z] 13:59:43 INFO - PID 13031 | found pre-defined host 'expired.example.com'
[task 2019-04-13T13:59:43.141Z] 13:59:43 INFO - PID 13031 | found pre-defined host 'expired.example.com'
[task 2019-04-13T13:59:43.141Z] 13:59:43 INFO - PID 13031 | PR_Recv failed: SSL_ERROR_EXPIRED_CERT_ALERT
[task 2019-04-13T13:59:43.142Z] 13:59:43 INFO - "handling expired.example.com"
[task 2019-04-13T13:59:43.143Z] 13:59:43 INFO - TEST-PASS | security/manager/ssl/tests/unit/test_toolkit_securityreporter.js | - Actual and expected connection result should match - 2153390069 == 2153390069

Changing the priority to p2 as the bug is tracked by a release manager for the current nightly.
See How Do You Triage for more information

Priority: P5 → P2

Before this patch, test_toolkit_securityreporter.js would unconditionally try to
get the value of the "Cookie" header. If a header isn't available, httpd.js
apparently throws an exception. Interestingly, exceptions thrown in httpd.js
path handlers aren't reported to the test framework, so we weren't aware of
this. Additionally, the test didn't have any way of waiting until the security
report it was expecting had arrived, so it just continued on and "succeeded".
This patch addresses these issues by using "throws" to make sure no cookies are
available and by inserting extra add_test/run_next_test pairs when the test is
waiting for a report.

This is a bit speculative, so I'll mark this leave-open for now.

Assignee: nobody → dkeeler
Status: NEW → ASSIGNED
Keywords: leave-open
Priority: P2 → P1
Whiteboard: [psm-assigned]
Pushed by ccoroiu@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/2091fc58b131
fix cookie-checking in test_toolkit_securityreporter.js r=mgoodwin

Thanks for checking - I'm still looking into this.

Flags: needinfo?(dkeeler)

test_toolkit_securityreporter.js uses BadCertServer, which uses hard-coded
ports, so it needs to run sequentially.

Pushed by dkeeler@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/216356ce131f
run test_toolkit_securityreporter.js sequentially (it uses hard-coded ports) r=mgoodwin

Hi Dana, are there any updates for this one? (tracking for 68) Thanks!

Flags: needinfo?(dkeeler)

No updates, really - I haven't had time to look into this further (but it looks like it may be slightly less frequent based on comment 14 and comment 15?)

Flags: needinfo?(dkeeler)
See Also: → 1563652

This is looking pretty frequent on 68 along with bug 1563652. Can you please take another look, Dana?

Flags: needinfo?(dkeeler)
You need to log in before you can comment on or make changes to this bug.